<?php
/**
 * jeGroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2010 - 2011 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/
// no direct access
defined('_JEXEC') or die('Restricted access');
// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class jeGroupBuyViewsettings extends JView
{
	function display($tpl = null)
	{
		global $mainframe;
		$db =& JFactory::getDBO();
		$model  			= & $this->getModel();
		$model->setId('1');
		$row  = & $this->get('Data');
		$context			= 'com_jegroupbuy.s.id.settings.';
 		JHTML::stylesheet('style.css', JURI::base() . 'components/com_jegroupbuy/assets/css/');
 		$text 		  = JText::_( 'JE_GROUPBUY_SETTINGS' );
		JToolBarHelper::title(   JText::_( 'CC_JEGROUPBUY' ) . ': <small><small>[ ' .  $text.' ]</small></small>', 'jegroupbuy.png' );
		JToolBarHelper::apply();
		JToolBarHelper::save();
		if ($row->id)	{
			JToolBarHelper::cancel( 'cancel', 'Close' );
		} else	{
			JToolBarHelper::cancel();
		}

        $layout[] = JHTML::_('select.option',  'default',  JText::_( 'Default'));
        $layout[] = JHTML::_('select.option',  'layout1_temp', JText::_( 'Layout 1'));
        $layout[] = JHTML::_('select.option',  'layout2_temp', JText::_( 'Layout 2'));
        $layout[] = JHTML::_('select.option',  'layout3_temp', JText::_( 'Layout 3'));
        $layout[] = JHTML::_('select.option',  'layout4_temp', JText::_( 'Layout 4'));
        $this->assignRef('layout',	$layout);
		$this->assignRef('row',$row);
		parent::display($tpl);
	}
}
?>